org.eclipse.spi.net4j

## Class ConnectorFactory

- java.lang.Object
- - org.eclipse.net4j.util.factory.Factory
  - - org.eclipse.spi.net4j.ConnectorFactory

- All Implemented Interfaces:
    IFactory

      public abstract class ConnectorFactory
      extends Factory

  If the meaning of this type isn't clear, there really should be more of a description here...
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PRODUCT_GROUP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectorFactory(String type)`

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.net4j.util.factory.Factory

      `getDescriptionFor, getKey, getProductGroup, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.factory.IFactory

      `create`

- - ### Field Detail

    - #### PRODUCT_GROUP

          public static final String PRODUCT_GROUP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConnectorFactory

          public ConnectorFactory(String type)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html